Bug 35907

Summary: Allow custom memory allocation control for AtomicString class
Product: WebKit Reporter: Zoltan Horvath <zoltan>
Component: WebCore Misc.Assignee: Zoltan Horvath <zoltan>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, eric
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Attachments:
Description Flags
proposed patch none

Description Zoltan Horvath 2010-03-09 01:03:09 PST
Inherits the following class from FastAllocBase because it is instantiated by 'new':

class name   - instantiated at: WebCore/'location'
AtomicString - WebCore/html/HTMLTableElement.cpp:525
Comment 1 Zoltan Horvath 2010-03-09 01:04:47 PST
Created attachment 50281 [details]
proposed patch
Comment 2 Eric Seidel (no email) 2010-03-15 15:34:23 PDT
Comment on attachment 50281 [details]
proposed patch

There was concern expressed before that these were making classes bigger?  Was that issue ever resolved?  Otherwise this change looks fine.
Comment 3 Eric Seidel (no email) 2010-03-15 15:58:03 PDT
Attachment 50281 [details] was posted by a committer and has review+, assigning to Zoltan Horvath for commit.
Comment 4 Zoltan Horvath 2010-03-17 00:40:11 PDT
Comment on attachment 50281 [details]
proposed patch

Clearing flags on attachment: 50281

Committed r56100: <http://trac.webkit.org/changeset/56100>
Comment 5 Zoltan Horvath 2010-03-17 00:40:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Zoltan Horvath 2010-03-17 00:42:06 PDT
(In reply to comment #2)
> There was concern expressed before that these were making classes bigger?  Was
> that issue ever resolved?  Otherwise this change looks fine.

I opened a bug for it (bug #33896) and made a static analysis on the classes.
Comment 7 Darin Adler 2010-03-17 09:02:03 PDT
(In reply to comment #6)
> (In reply to comment #2)
> > There was concern expressed before that these were making classes bigger?  Was
> > that issue ever resolved?  Otherwise this change looks fine.
> 
> I opened a bug for it (bug #33896) and made a static analysis on the classes.

I'm not sure what the status is, though. If additional introduction of these changes are making our classes still bigger maybe we should hold off until we decide if that's OK.